Qt 5.11 | Qt 3D | C++ Classes | QAbstractAspect

Qt 5.11.3 Reference Documentation

# QAbstractAspect Class

(Qt3DCore::QAbstractAspect)

QAbstractAspect is the base class for aspects that provide a vertical slice of behavior. More...

Header: | #include <Qt3DCore/QAbstractAspect>
qmake: | QT += 3dcore
Inherited By: | Qt3DAnimation::QAnimationAspect, Qt3DInput::QInputAspect, Qt3DLogic::QLogicAspect, and Qt3DRender::QRenderAspect

- List of all members, including inherited members

## Public Functions

| QAbstractAspect(QObject *parent = nullptr)
void | scheduleSingleShotJob(const Qt3DCore::QAspectJobPtr &job)

## Protected Functions

void | registerBackendType(const Qt3DCore::QBackendNodeMapperPtr &functor)
void | registerBackendType(const QMetaObject &obj, const Qt3DCore::QBackendNodeMapperPtr &functor)
Qt3DCore::QNodeId | rootEntityId() const
void | unregisterBackendType()
void | unregisterBackendType(const QMetaObject &)

## Related Non-Members

typedef | QAspectJobPtr
typedef | QBackendNodeMapperPtr

## Detailed Description

QAbstractAspect is the base class for aspects that provide a vertical slice of behavior.

## Member Function Documentation

### QAbstractAspect::QAbstractAspect(QObject *parent = nullptr)

Constructs a new QAbstractAspect with parent

### `[protected]` void QAbstractAspect::registerBackendType(const Qt3DCore::QBackendNodeMapperPtr &functor)

Registers backend with functor.

### `[protected]` void QAbstractAspect::registerBackendType(const QMetaObject &obj, const Qt3DCore::QBackendNodeMapperPtr &functor)

Registers backend with obj and functor.

### `[protected]` Qt3DCore::QNodeId QAbstractAspect::rootEntityId() const

Returns root entity node id.

### void QAbstractAspect::scheduleSingleShotJob(const Qt3DCore::QAspectJobPtr &job)

### `[protected]` void QAbstractAspect::unregisterBackendType()

### `[protected]` void QAbstractAspect::unregisterBackendType(const QMetaObject &)

## Related Non-Members

### typedef Qt3DCore::QAspectJobPtr

A shared pointer for QAspectJob.

### typedef Qt3DCore::QBackendNodeMapperPtr

A shared pointer for QBackendNodeMapper.